Subject: Re: Problem with system()
From: Chris Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 27 Jul 2000 09:48:29 -0400

On Thu, Jul 27, 2000 at 09:42:19AM -0400, [email-masked] wrote:
>Chris,
>I guesss I should have given more info.
>I tried 
>        system ("command /c dir") 
>and yes, I am using Windows 95.

I don't know what's wrong but I would check basic things like your PATH.
If you don't have a command.com in your path then system is obviously
not going to be able to run "command".

>In fact I tried a whole bunch of commands that are cygwin commands.
>Whatever I do, the system call returns a 127.

"File not found".

>I couldn't find what a 127 meant, if anything.
>Anyway, is it possible that I can be missing a dll. Or is there only the 
>one that I need?
>I only installed the base amount of software:
>        gcc-2_95_2-2.tar.gz
>        cygwin-1.1.2.tar.gz
>        binutils-20000625.tar.gz
>        bash-2_04_1.tar.gz
>I thought that should be enough but maybe not.
>Also, since I am only getting the digest version of this mailing list,
>can you cc: me directly?

I don't know what cygwin commands you could be running if you only
installed "the base amount of software".  Certainly you couldn't run
'ls' if you didn't install it.

>Also, since I am only getting the digest version of this mailing list, can
>you cc: me directly?

Sure, as long as you stop Cc'ing me directly.  I read the cygwin mailing
list.  There is no reason to get two copies.

cgf

--
Want to unsubscribe from this list?
Send a message to [email-masked]